// ==============================
// mfc2.c
//
// Multiple File Copy #2
//
// Created with: Borland C++ 4.52
// ==============================

#include <stdio.h>

void main (int argc, char *argv [])
{
   FILE *fpSrc, *fpDst;
   int byte, i;

   if (argc < 3)
   {
       printf ("usage: mfc2 srcfile [ srcfile ...] dstfile");
       return;
   }

   fpDst = fopen (argv [argc-1], "wb");
   if (fpDst == NULL)
   {
       printf ("Could not open %s for writing\n", argv [argc-1]);
       return;
   }

   for (i = 1; i < argc-1; i++)
   {
	fpSrc = fopen (argv [i], "rb");
	if (fpSrc == NULL)
	{
	    printf ("Could not open %s\n", argv [i]);
	    goto exit;
	}

	do
	{
	   byte = fgetc (fpSrc);
	   if (byte == EOF)
	       break;

	   if (fputc (byte, fpDst) == EOF)
	   {
	       printf ("Could not write byte\n");
	       goto exit;
	   }
	}
	while (1);

	fclose (fpSrc);
   }

exit:

   fclose (fpSrc);
   fclose (fpDst);
}
